org.apache.ivy.plugins.circular

## Interface CircularDependencyStrategy

All Known Implementing Classes:
  AbstractCircularDependencyStrategy, AbstractLogCircularDependencyStrategy, ErrorCircularDependencyStrategy, IgnoreCircularDependencyStrategy, WarnCircularDependencyStrategy

    public interface CircularDependencyStrategy

A CircularDependencyStrategy indicates what ivy does when a circular dependency is detected. Ivy can ignore it, warn the user, or interupt the processing.

### Method Summary

Methods
`java.lang.String` `getName()`
`void` `handleCircularDependency(ModuleRevisionId[] mrids)`

### Method Detail

#### getName

    java.lang.String getName()

#### handleCircularDependency

    void handleCircularDependency(ModuleRevisionId[] mrids)
                                  throws CircularDependencyException

Throws:
  `CircularDependencyException`